%define	version		0.132
%define	release		2mdk

Summary:  	Terminal Server Client is a frontend for rdesktop for the GNOME2 platform.
Name:     	tsclient
Version:  	%{version}
Release:  	%{release}
License: 	GPL
Group:		Networking/Remote access 
URL:		http://www.gnomepro.com/tsclient/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.132-translation.patch.bz2

Requires:	rdesktop >= 1.3
BuildRequires:	gnome-panel-devel
BuildRequires:	ImageMagick
BuildRequires:	gettext

%description
Terminal Server Client is a frontend for rdesktop for the GNOME2 platform.
Also support vnc.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# icon
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -D -m 644       tsclient.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 tsclient.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 tsclient.png %{buildroot}%{_miconsdir}/%{name}.png

# menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name}  <<EOF
?package(%name): \
 command="%{_bindir}/%{name}" \
 needs="X11" \
 section="Networking/Remote access" \
 title="Terminal Server Client" \
 longtitle="Frontend for rdesktop" \
 icon="%{name}.png"
EOF

mkdir -p %{buildroot}%{_datadir}/applnk/Internet/
cat << EOF > %{buildroot}%{_datadir}/applnk/Internet/tsclient.desktop
[Desktop Entry]
Name=Terminal Server Client
Comment=Frontend for rdesktop
TryExec=%{name}
Exec=tsclient
Icon=%{name}.png
Terminal=0
Type=Application
EOF

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS NEWS
%{_bindir}/tsclient
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/tsclient-applet
%{_datadir}/application-registry/tsclient.applications
%{_datadir}/applications/tsclient.desktop
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_datadir}/applnk/Internet/tsclient.desktop
%{_mandir}/man1/*

%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Feb 19 2004 Abel Cheung <deaddog@deaddog.org> 0.132-2mdk
- Use ImageMagick to generate icons
- Patch0: Fix some b0rked translation files

* Mon Jan  5 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.132-1mdk
- release 0.132

* Mon Aug 18 2003 Antoine Ginies <aginies@bi.mandrakesoft.com> 0.120-1mdk
- release 0.120

* Fri May 02 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.108-1mdk
- 0.108
- add all icons
- fix files list
 
* Fri Jan 10 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.86-3mdk
- transparent icon (padbol) 
* Tue Jan 07 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.86-2mdk
- correct icon path
* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 0.86-1mdk
- new release 0.86
* Mon Nov 04 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.32-1mdk
- version 0.32
* Wed Oct 30 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.16-2mdk
- correct url tag
* Tue Oct 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 0.16-1mdk
- patch for -F rdesktop option
- first release for Mandrakesoft 
